import React, {useEffect, useState} from 'react';
import {Alert, Button, StyleSheet, View} from 'react-native';
import {SafeAreaView} from 'react-native-safe-area-context';
import LinearGradient from 'react-native-linear-gradient';
import {postRequest} from '@/netWork/';
import {getStorageData, setStorageData} from '@/storage/';
import {useLoginCom} from '@/components/useLogin';
import {listJoinNftGroup} from '@/netWork/nft';

interface Props {
	navigation: any;
}

const Home = (props: Props) => {
	const {isLogin, loading, userInfo, goTwitterAuthorize} = useLoginCom(props);
	const [nftData, setNftData] = useState({});

	const goTwitter = () => {
		if (isLogin) {
			props.navigation.navigate('Twitter');
		} else {
			goTwitterAuthorize();
		}
	};

	useEffect(() => {
		isLogin &&
			listJoinNftGroup({
				pageNum: 1,
				pageSize: 100,
			}).then((res: any) => {
				console.log('nftData', res);
			});
	}, []);

	return (
		<LinearGradient
			colors={['#91CAFF', '#ECF6FF', '#FFFFFF']}
			style={{flex: 1}}>
			<SafeAreaView style={styles.container}>
				<View style={styles.TwitterBtnWrap}>
					<Button
						onPress={goTwitter}
						title="Web3 Twitter"
						color="#841584"
						accessibilityLabel="go Web3 Twitter"
					/>
				</View>
			</SafeAreaView>
		</LinearGradient>
	);
};

const styles = StyleSheet.create({
	container: {
		flex: 1,
		alignItems: 'center',
		paddingTop: 180,
	},
	TwitterBtnWrap: {
		width: 343,
		backgroundColor: '#fff',
	},
});

export default Home;
