import React from 'react';
import {Button, Image, StyleSheet, Text, View} from 'react-native';
import {useLoginCom} from '@/components/useLogin';

const Me = (props: any) => {
	const {isLogin, loading, userInfo, goTwitterAuthorize, logOut} =
		useLoginCom(props);
	return (
		<>
			{!!isLogin && (
				<View style={styles.contain}>
					<View style={styles.userInfo}>
						<Image
							style={styles.userPhoto}
							source={{
								uri: userInfo.avatarUrl,
							}}
						/>
						<Text>{userInfo.nickName}</Text>
					</View>
					<View style={styles.logOutContain}>
						<View style={styles.logOutBtn}>
							<Button
								title="Log out"
								color="#FF0000"
								onPress={logOut}
							/>
						</View>
						<View style={styles.tips}>
							<Text>Version 1.0.2|</Text>
							<Text>用户协议|</Text>
							<Text>隐私协议</Text>
						</View>
					</View>
				</View>
			)}
			{!isLogin && (
				<>
					<View style={styles.contain}>
						<Button
							title="Log in"
							color="#FF0000"
							onPress={goTwitterAuthorize}
						/>
					</View>
				</>
			)}
		</>
	);
};

const styles = StyleSheet.create({
	contain: {
		flex: 1,
		alignItems: 'center',
		justifyContent: 'space-between',
	},
	userInfo: {
		marginTop: 80,
	},
	userPhoto: {
		marginBottom: 22,
		width: 100,
		height: 100,
		borderRadius: 50,
	},
	logOutContain: {
		marginBottom: 30,
	},
	logOutBtn: {
		marginBottom: 20,
		width: 343,
		height: 44,
		backgroundColor: '#FEF8F8',
		borderRadius: 100,
	},
	tips: {
		display: 'flex',
		flexDirection: 'row',
		justifyContent: 'center',
	},
});

export default Me;
