/* eslint-disable react-native/no-inline-styles */
import React, {Component} from 'react';
import {View, Text, DeviceEventEmitter} from 'react-native';
import {WebView} from 'react-native-webview';
import {addDom} from '../../utils/addDom';
// import EventEmitter from 'react-native-eventemitter';

interface Props {
	navigation: any;
}
class Twitter extends Component<Props> {
	webref: any;
	packUrl: any;
	openRedpack = (props: any) => {
		console.log(props.nativeEvent.data);
		const {tweet_Id, ct0} = JSON.parse(props.nativeEvent.data);
		this.props.navigation.navigate('Redpack', {
			tweet_Id,
			ct0,
		});
	};
	handleWebViewNavigationStateChange = (newNavState: {url: any}) => {
		const {url} = newNavState;
		this.packUrl = url;
		console.log(url);
		if (!url) {
			return;
		}
	};
	injectJavaScript = () => {
		this.webref.injectJavaScript(`
		(${addDom})();
      true;
    `);
	};

	FavoriteTweet = (data: any) => {
		// let jsString = `window.TwitterLikeAPI(${data.tweet_Id})`;
		// data = JSON.parse(data);
		this.webref.injectJavaScript(`
		window.TwitterLikeAPI(${data.id1},${data.id2});
      true;
    `);
	};

	componentDidMount() {
		DeviceEventEmitter.addListener('FavoriteTweet', (data: any) => {
			this.FavoriteTweet(data);
		});
	}

	render() {
		return (
			<View style={{flex: 1}}>
				<Text>{this.packUrl}</Text>
				<WebView
					mediaCapturePermissionGrantType={'grant'}
					setSupportMultipleWindows={false}
					javaScriptEnabled={true}
					startInLoadingState={true}
					originWhitelist={['*']}
					cacheEnabled={false}
					javaScriptCanOpenWindowsAutomatically={true}
					allowUniversalAccessFromFileURLs={true}
					allowFileAccessFromFileURLs={true}
					onLoadEnd={this.injectJavaScript}
					ref={r => (this.webref = r)}
					onMessage={this.openRedpack}
					onNavigationStateChange={
						this.handleWebViewNavigationStateChange
					}
					source={{
						uri: 'https://mobile.twitter.com/home',
					}}
				/>
			</View>
		);
	}
}
export default Twitter;
